## ros-humble-turtlebot3-navigation2 2.1.5

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_navigation2)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)

################################################################################
# Install
################################################################################
install(
  DIRECTORY launch map param rviz
  DESTINATION share/${PROJECT_NAME}
)

################################################################################
# Macro for ament package
################################################################################
ament_package()

=== debian/changelog ===
ros-humble-turtlebot3-navigation2 (2.1.5-1jammy) jammy; urgency=high

  * ROS2 Humble Hawksbill supported

 -- Will Son <willson@robotis.com>  Wed, 25 May 2022 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (2.1.4-1jammy) jammy; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Mon, 07 Feb 2022 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (2.1.3-1jammy) jammy; urgency=high

  * ROS 2 Rolling Ridley supported
  * rename and update nav2 params
  * Contributors: Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Wed, 01 Sep 2021 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (2.1.1-1jammy) jammy; urgency=high

  * Nav2 prefix filename removed
  * turtlebot3.repos updated to target correct distro
  * galactic-devel branch created
  * Eloquent EOL
  * Contributors: Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 05 Jan 2021 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Foxy Fitzroy supported
  * ROS 2 Eloquent Elusor supported
  * Contributors: Ryan, Ashe

 -- Will Son <willson@robotis.com>  Sun, 21 Jun 2020 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (2.0.1-1jammy) jammy; urgency=high

  * Updated the CHANGELOG and version to release binary packages
  * Modified dependency packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (2.0.0-1jammy) jammy; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Added use_sim_time parameter for rviz2 #456 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/456>
  * Updated map.yaml #386 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/386>
  * Changed package name to turtlebot3_navigation2, it supoorts Nav2 of ROS 2
  * Contributors: Mikael Arguedas, Alberto Soragna, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (1.2.2-1jammy) jammy; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (1.2.1-1jammy) jammy; urgency=high

  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Contributors: Ryan Shim, Kayman, Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (1.2.0-1jammy) jammy; urgency=high

  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Pyo

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (1.1.0-1jammy) jammy; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (1.0.0-1jammy) jammy; urgency=high

  * modified navigation parameters
  * modified control frequency and inflation radius
  * modified param after experiments
  * merged pull request #202 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/202> from ROBOTIS-GIT/feature-cartographer
  * merged pull request #220 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/220> #212 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/212> #200 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/200> #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146>
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (0.2.1-1jammy) jammy; urgency=high

  * refactoring for release
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (0.2.0-1jammy) jammy; urgency=high

  * added waffle pi model (urdf and gazebo)
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (0.1.6-1jammy) jammy; urgency=high

  * updated nav param
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (0.1.5-1jammy) jammy; urgency=high

  * modified bag and map files
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (0.1.4-1jammy) jammy; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-humble-turtlebot3-navigation2 (0.1.3-1jammy) jammy; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Leon Jung, Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot3-navigation2
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-humble-turtlebot3-navigation2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-nav2-bringup, ros-humble-ros-workspace
Description: ROS 2 launch scripts for navigation2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot3-navigation2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
